Page MenuHomePhabricator

Call to a member function toArray() on a non-object (null) in vendor/ruflin/elastica/lib/Elastica/Client.php:736
Closed, ResolvedPublic

Description

Seems to happen when a node becomes unreachable.

#0 /srv/mediawiki/php-1.33.0-wmf.19/vendor/ruflin/elastica/lib/Elastica/Client.php(692): Elastica\Client->_log(Elastica\Exception\Connection\HttpException)
#1 /srv/mediawiki/php-1.33.0-wmf.19/vendor/ruflin/elastica/lib/Elastica/Multi/Search.php(150): Elastica\Client->request(string, string, string, array, string)
#2 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/CompletionSuggester.php(213): Elastica\Multi\Search->search()
#3 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/Util.php(120): Closure$CirrusSearch\CompletionSuggester::suggest()
#4 /srv/mediawiki/php-1.33.0-wmf.19/includes/poolcounter/PoolCounterWorkViaCallback.php(69): Closure$CirrusSearch\Util::wrapWithPoolStats()
#5 /srv/mediawiki/php-1.33.0-wmf.19/includes/poolcounter/PoolCounterWork.php(123): PoolCounterWorkViaCallback->doWork()
#6 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/Util.php(178): PoolCounterWork->execute()
#7 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/CompletionSuggester.php(226): CirrusSearch\Util::doPoolCounterWork(string, User, Closure$CirrusSearch\Util::wrapWithPoolStats;1509)
#8 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/CirrusSearch.php(280): CirrusSearch\CompletionSuggester->suggest(string, array)
#9 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/CirrusSearch.php(372): CirrusSearch->getSuggestions(string, array, CirrusSearch\SearchConfig)
#10 /srv/mediawiki/php-1.33.0-wmf.19/includes/search/SearchEngine.php(552): CirrusSearch->completionSearchBackend(string)
#11 /srv/mediawiki/php-1.33.0-wmf.19/includes/search/SearchEngine.php(595): SearchEngine->completionSearchBackendOverfetch(string)
#12 /srv/mediawiki/php-1.33.0-wmf.19/extensions/CirrusSearch/includes/CirrusSearch.php(383): SearchEngine->completionSearch(string)
#13 /srv/mediawiki/php-1.33.0-wmf.19/includes/api/ApiOpenSearch.php(117): CirrusSearch->completionSearchWithVariants(string)
#14 /srv/mediawiki/php-1.33.0-wmf.19/includes/api/ApiOpenSearch.php(91): ApiOpenSearch->search(string, array)
#15 /srv/mediawiki/php-1.33.0-wmf.19/includes/api/ApiMain.php(1596): ApiOpenSearch->execute()
#16 /srv/mediawiki/php-1.33.0-wmf.19/includes/api/ApiMain.php(531): ApiMain->executeAction()
#17 /srv/mediawiki/php-1.33.0-wmf.19/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#18 /srv/mediawiki/php-1.33.0-wmf.19/api.php(87): ApiMain->execute()
#19 /srv/mediawiki/w/api.php(3): include(string)
#20 {main}

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMar 1 2019, 10:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse triaged this task as Medium priority.Mar 1 2019, 10:38 AM
dcausse moved this task from needs triage to elastic / cirrus on the Discovery-Search board.

Change 497551 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Keep the request when throwing ConncetionException with curl_init_pooled

https://gerrit.wikimedia.org/r/497551

Change 497551 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Keep the request when throwing ConnectionException with curl_init_pooled

https://gerrit.wikimedia.org/r/497551

debt closed this task as Resolved.Apr 5 2019, 10:55 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM